Bug 1868146 - CVE-2020-9490 mod_http2: Push diary crash on specifically crafted HTTP/2 header [fedora-all]
Summary: CVE-2020-9490 mod_http2: Push diary crash on specifically crafted HTTP/2 head...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_http2
Version: 32
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Luboš Uhliarik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-9490
TreeView+ depends on / blocked
 
Reported: 2020-08-11 19:44 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-08-26 14:40 UTC (History)
6 users (show)

Fixed In Version: mod_http2-1.15.14-1.fc31 mod_http2-1.15.14-1.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-21 01:10:33 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-08-11 19:44:37 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2020-08-11 19:44:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1866560,1868146

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 5 Joe Orton 2020-08-17 10:22:24 UTC
Package: mod_http2-1.15.14-1.fc34
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1593803

Comment 6 Joe Orton 2020-08-17 13:38:53 UTC
Package: mod_http2-1.15.14-1.fc32
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1593948

Comment 7 Joe Orton 2020-08-17 14:16:03 UTC
Package: mod_http2-1.15.14-1.fc31
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1593977

Comment 8 Fedora Update System 2020-08-17 15:14:09 UTC
FEDORA-2020-8122a8daa2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8122a8daa2

Comment 9 Fedora Update System 2020-08-17 15:14:15 UTC
FEDORA-2020-b58dc5df38 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b58dc5df38

Comment 10 Fedora Update System 2020-08-18 01:20:07 UTC
FEDORA-2020-8122a8daa2 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8122a8daa2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8122a8daa2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-08-18 01:49:47 UTC
FEDORA-2020-b58dc5df38 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b58dc5df38`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b58dc5df38

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-08-21 01:10:33 UTC
FEDORA-2020-8122a8daa2 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-08-26 14:40:00 UTC
FEDORA-2020-b58dc5df38 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.